<?php 
#     /* 
#     Plugin Name: Whoisvisiting Tracking Code Plugin
#     Plugin URI: http://www.whoisvisiting.com
#     Description: Whoisvisiting tracking code installer
#     Author: Whoisvisiting
#     Version: 0.1
#     Author URI: http://www.whoisvisiting.com
#     */  



			
	add_action( 'admin_menu','my_plugin_menu' );
				
	function my_plugin_menu() {
		
			add_options_page('Whoisvisiting Tracking Code Plugin', 'Whoisvisiting Tracking Code Plugin', 'manage_options', 'uniquecode','UniqueTrackingCode');
	
		}			


function unique_tracking_code() {
	wp_register_style( 'UniqueTrackingPluginStylesheet', plugins_url('css/Style.css', __FILE__) );
	/*wp_enqueue_script( 'script-custom_scripts', get_template_directory_uri() . '/custom.js', array(), '1.0.0', true );*/
	
       wp_enqueue_style( 'UniqueTrackingPluginStylesheet' );
}

add_action( 'admin_init', 'unique_tracking_code' );
	
function UniqueTrackingCode()
{

$VarUniqueTrackingCode  = get_option( 'UniqueTrackingCode' );

?>
<div class="wrap">
  <?php if ( !empty($_POST ) ) { ?>
  <div id="message" class="updated fade">
    <p><strong>
      <?php _e('Settings saved.') ?>
      </strong></p>
  </div>
  <br />
  <?php } ?>
  <form name="generalform" class="unique_tracking_Wrapper" id="generalform" method="post" action="" >
    <div class="metabox-holder" >
       <div class="postbox">
        <div>
          <table class="form-table">
            <tbody>
			<tr valign="top">
			<td class="uniq_logo" colspan="2"><img src="<?php echo plugins_url( 'images/logo.png', __FILE__ ) ?>"/></td>
			</tr>
              <tr valign="top">
                <td class="uniq_textarea" colspan="2"><textarea rows="8" cols="60" name="saveUniqueTrackingCode"><?php if($VarUniqueTrackingCode!=""){echo stripslashes($VarUniqueTrackingCode);}else{ echo "";} ?></textarea></td>
              </tr>
              <tr valign="top">
				<td class="right_image_uniq"><img src="<?php echo plugins_url( 'images/left_image.png', __FILE__ ) ?>"/></td>
				<td class="left_image_uniq"><img src="<?php echo plugins_url( 'images/right_image.png', __FILE__ ) ?>"/></td>
				</tr>

            </tbody>
          </table>
        </div>
		</div>
    </div>
    <!-- end .metabox-holder -->
	<input type="submit" name="button" id="uniq_button" class="button-primary uniq_button" value="<?php echo _e("Save"); ?>" />
    <input name="action" value="saveUniqueTracking" type="hidden" />

</form><br /> 
</div> 
<?php
}		
	add_action('wp_head','smart_webmaster_head');
	function smart_webmaster_head()
	{
		
		$VarUniqueTrackingCode  = get_option( 'UniqueTrackingCode' );		
		
		echo stripslashes($VarUniqueTrackingCode);
		
	}
	
	
	register_activation_hook( __FILE__,'InstallUniqueTrackingCodeDefaultValues' );	
	
	
	function  InstallUniqueTrackingCodeDefaultValues() {

		global $wpdb;
		add_option("UniqueTrackingCode", "");
		
	}
	
	# Update General Settings
				if(isset($_POST['action']) && $_POST['action'] == 'saveUniqueTracking' )
					add_action( 'init','saveUniqueTrackingCode' );
				
				
				
	//Save Google Code Info
		function saveUniqueTrackingCode()
		{
	
			update_option( 'UniqueTrackingCode', $_POST["saveUniqueTrackingCode"] );

			$_POST['notice'] = __('Settings Saved');			
		
		}